Page MenuHomePhabricator

[lldb] [Process/elf-core] Fix reading FPRs from FreeBSD/i386 cores
ClosedPublic

Authored by mgorny on Apr 22 2021, 10:23 AM.

Details

Summary

The FreeBSD coredumps from i386 systems contain only FSAVE-style
NT_FPREGSET. Since we do not really support reading that kind of data
anymore, just use NT_X86_XSTATE to get FXSAVE-style data when available.

Diff Detail

Event Timeline

mgorny created this revision.Apr 22 2021, 10:23 AM
mgorny requested review of this revision.Apr 22 2021, 10:23 AM
mgorny updated this revision to Diff 339719.Apr 22 2021, 10:46 AM

Also add FPU-specific checks to x86-32-freebsd-addr.test.

krytarowski accepted this revision.May 11 2021, 3:25 PM
This revision is now accepted and ready to land.May 11 2021, 3:25 PM
emaste accepted this revision.May 11 2021, 5:57 PM
This revision was landed with ongoing or failed builds.May 12 2021, 2:51 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 12 2021, 2:51 AM